Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.catalina
Enum LifecycleState

    java.lang.Object
      java.lang.Enum<LifecycleState>
          org.apache.catalina.LifecycleState

All Implemented Interfaces:
  Serializable, Comparable<LifecycleState>

    public enum LifecycleState

extends Enum<LifecycleState>

The list of valid states for components that implement `Lifecycle`. See `Lifecycle` for the state transition diagram.

Enum Constant Summary
`DESTROYED`
`DESTROYING`
`FAILED`
`INITIALIZED`
`INITIALIZING`
`MUST_DESTROY`
`MUST_STOP`
`NEW`
`STARTED`
`STARTING`
`STARTING_PREP`
`STOPPED`
`STOPPING`
`STOPPING_PREP`

Method Summary
`String` | `getLifecycleEvent()`
`boolean` | `isAvailable()` May the public methods other than property getters/setters and lifecycle methods be called for a component in this state?
`static LifecycleState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static LifecycleState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NEW

    public static final LifecycleState NEW

### INITIALIZING

    public static final LifecycleState INITIALIZING

### INITIALIZED

    public static final LifecycleState INITIALIZED

### STARTING_PREP

    public static final LifecycleState STARTING_PREP

### STARTING

    public static final LifecycleState STARTING

### STARTED

    public static final LifecycleState STARTED

### STOPPING_PREP

    public static final LifecycleState STOPPING_PREP

### STOPPING

    public static final LifecycleState STOPPING

### STOPPED

    public static final LifecycleState STOPPED

### DESTROYING

    public static final LifecycleState DESTROYING

### DESTROYED

    public static final LifecycleState DESTROYED

### FAILED

    public static final LifecycleState FAILED

### MUST_STOP

    public static final LifecycleState MUST_STOP

### MUST_DESTROY

    public static final LifecycleState MUST_DESTROY

Method Detail

### values

    public static LifecycleState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LifecycleState c : LifecycleState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LifecycleState valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### isAvailable

    public boolean isAvailable()

  May the public methods other than property getters/setters and lifecycle methods be called for a component in this state? It returns `true` for any component in any of the following states:
  - `STARTING`
  - `STARTED`
  - `STOPPING_PREP`
  - `MUST_STOP`

### getLifecycleEvent

    public String getLifecycleEvent()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.